from django.contrib import admin

from .models import Room, Shift, Helper, ShiftRegistration, Message, LoginToken

admin.site.register(Room)

@admin.register(Shift)
class ShiftAdmin(admin.ModelAdmin):
    list_display = ('room_name', 'start_at', 'free_slots')
    def room_name(self, object):
        return object.room.name
    #def helpeprs(self, object):
    #    object.helppers.count()
    def free_slots(self, object):
        return object.room.required_helpers  - object.shiftregistration_set.count()
#admin.site.register(Shift)


admin.site.register(Helper)
admin.site.register(ShiftRegistration)
admin.site.register(Message)
admin.site.register(LoginToken)